<div>
    <div class="filter-wrapper"
         data-ng-click="edit(true,$event)">
        <span class="filter-label">{{filterName.display}} :</span>
        <div data-ng-hide="filterName.editing" class="filter-value">{{filterName.value}}</div>
        <input
                filter-focus="filterName.editing"
                filter-auto-resize
                data-ng-show="filterName.editing"
                ng-keydown="keydown($event, $index)"
                ng-model="filterName.value"
                ng-blur="edit(false,$event)"
                class="filter-value"
                type="text"/>
        <span data-ng-click="$parent.remove(filterName)" class="filter-close fa fa-times-circle"></span>
    </div>
</div>